## org.eclipse.emf.ocl.helper
Class OCLParsingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ocl.helper.OCLParsingException

All Implemented Interfaces:
  Serializable

Deprecated. Use the `ParserException` type, instead.

    @Deprecated
    public class OCLParsingException

extends Exception

Exception indicating that OCL parsing failed. The status includes human-presentable details.

See Also:
  Serialized Form

Constructor Summary
`OCLParsingException(String message)` Deprecated. Initializes me with my error message.
`OCLParsingException(String message, Throwable cause)` Deprecated. Initializes me with my error message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OCLParsingException

    public OCLParsingException(String message,
                               Throwable cause)

  Deprecated.
  Initializes me with my error message and cause.

  Parameters:
    `message` - my error message
    `cause` - my causing exception

### OCLParsingException

    public OCLParsingException(String message)

  Deprecated.
  Initializes me with my error message.

  Parameters:
    `message` - my error message

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.